class MergeColor < ActiveRecord::Migration
  def up
    add_column :ground_colors, :code, :integer, :null => false, :default => 0
    remove_column :ground_colors, :color_id
    drop_table :panel_colors
    drop_table :colors
  end

  def down
    remove_column :ground_colors, :code
    create_table :panel_colors do |t|
      t.integer :panel_id, :null => false, :default => 0
      t.integer :z, :null => false, :default => 0
      t.integer :code, :null => false, :default => 0

      t.timestamps
    end
    create_table :colors do |t|
      t.string :name, :null => false, :limit => 50, :default => 'no name'
      t.integer :code, :null => false, :default => 0
      t.integer :t, :null => false, :default => 0

      t.timestamps
    end
  end
end
