class ReverseValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    if record.picture and record.picture.flag_reverse < 0
      record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.reverse')) if value < 0
    end
  end
end

